Bug 119890 - /usr/bin/ab breaks saying apr_recv: Connection reset by peer (104)
Summary: /usr/bin/ab breaks saying apr_recv: Connection reset by peer (104)
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: httpd (Show other bugs)
(Show other bugs)
Version: 2
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Joe Orton
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-04-02 21:55 UTC by Jason Brittain
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version: 2.0.48-16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-03 10:00:55 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jason Brittain 2004-04-02 21:55:57 UTC
Description of problem:

I'm trying to use ab (which is part of the httpd package) to benchmark
a web server.  I'm running ab and the web server on the same machine.
This machine has Fedora Core 2 Test 1 on it.  The packages are stock
(unchanged by me).  Here's sample output from ab when I run it:

------ clip --------

[root@jt httpbenchmark]# ab -t 60 -c 10 -C 'cookie1=value1;
cookie2=value2; cookie3=value3; cookie4=value4'
http://localhost:8080/home.jsp
This is ApacheBench, Version 2.0.40-dev <$Revision: 1.121.2.4 $>
apache-2.0
Copyright (c) 1996 Adam Twiss, Zeus Technology Ltd,
http://www.zeustech.net/
Copyright (c) 1998-2002 The Apache Software Foundation,
http://www.apache.org/
 
Benchmarking localhost (be patient)
apr_recv: Connection reset by peer (104)
Total of 29 requests completed

----------- clip ------------

This same command works fine on other machines that have RedHat 9
and 7.3 on them.


Version-Release number of selected component (if applicable):

httpd-2.0.48-10

How reproducible:

The command line shown above should reproduce the bug.  If not,
let me know and I'll try to provide more info.

Steps to Reproduce:
1. Install FC2 T1.
2. Set up a web server and verify that it works.
3. Run the above ab command line against the web server.
  
Actual results:

The ab session does not run to completion, but instead fails, saying:

apr_recv: Connection reset by peer (104)

Expected results:

The ab session runs to completion, outputting a benchmark report.

Additional info:

None.

Comment 1 Joe Orton 2004-04-03 10:00:55 UTC
Thanks for the report.  This is fixed in 2.0.48-16 and later, e.g. FC2
test 2.

Comment 2 Jason Brittain 2004-04-03 18:33:38 UTC
Excellent.  Thanks very much.



Note You need to log in before you can comment on or make changes to this bug.